; lxbcusb.inf
; USB Installer INF for Printers
;
; Copyright(C), Lexmark International, Inc. 1998-2001

[Version]
Signature="$CHICAGO$"
Class=PrintUSB
ClassGUID={4DE280E2-D380-4643-ADB7-2B1535DC3A13}
Provider="Lexmark"

[ControlFlags]
ExcludeFromSelect=*

[DestinationDirs]
DefaultDestDir=11
Usb_CopyFiles=10,system32\drivers
INF_Files=17

[SourceDisksNames]
1=%InstDisk%,,,""

[SourceDisksFiles]
usbprint.sys=1
lxbcinst.drv=1
lxbcinst.dll=1
usbmon.dll=1
lxbcpr.inf=1
lexusb.inf=1
lexusbin.exe=1
lexusbci.dll=1


[Manufacturer]
%MfgName%=Lexmark

[Lexmark]
;remote wakeup version
%USB\VID_043D&PID_0078.DeviceDesc%=UsbInstA, USB\Vid_043d&Pid_0078

;
; Installer Sections
;
[UsbInstA]
AddReg=Usb_AddReg

[UsbInst]
AddReg=Usb_AddReg
CopyFiles=Usb_CopyFiles, PrinterDriverFiles, INF_Files, NewClass_CopyList

[Usb_AddReg]
HKR,,DevLoader,,*ntkern
HKR,,NTMPDriver,,usbprint.sys
HKLM,"\System\CurrentControlSet\Control\InstalledFiles","lxbcinst.drv",0x01,0b,00
HKLM,"\System\CurrentControlSet\Control\InstalledFiles","lxbcinst.dll",0x01,0b,00
HKLM,"\System\CurrentControlSet\Control\InstalledFiles","usbmon.dll",0x01,0b,00

;
; Important : Do not copy if usbprint.sys if file already exists
; This file for Windows 98 only, Millennium already
; has file on the system.
; 0x00000010 (COPYFLG_NO_OVERWRITE)
;
[Usb_CopyFiles]
usbprint.sys,,,16

[ClassInstall]
AddReg=NewClass_AddReg


[NewClass_AddReg]
HKR,,,,%DeviceClassName%
HKR,,Installer,,lexusbci.dll
HKR,,NoSetupUI,,1
HKR,,Icon,,"-4"

;
; Important : Do not copy usbmon.dll if file already exists
; This file for Windows 98 only, Millennium already
; has file on the system.
; 0x00000010 (COPYFLG_NO_OVERWRITE)
;

[NewClass_CopyList]
lexusbci.dll
lexusbin.exe
usbmon.dll,,,16


[INF_Files]
lxbcpr.inf
lexusb.inf

[PrinterDriverFiles]
lxbcinst.drv
lxbcinst.dll
usbmon.dll,,,16

[Strings]
InstDisk="Printer CD"
MfgName="Lexmark"
DeviceClassName="USB Printers"
USB\VID_043D&PID_0078.DeviceDesc="InkJet Color Printer"

